--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

---------------------------------
-- DDL Statements for Sequences
---------------------------------

SET CURRENT SCHEMA $NF_SCHEMA;

-- FOREIGN KEY CONSTRAINTS

ALTER TABLE ACTIVITY_DETAIL ADD CONSTRAINT ACTDET_FK1 FOREIGN KEY (ACTIVITY_ID) 
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK3 FOREIGN KEY (FAILED_BUILD)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK4 FOREIGN KEY (VALIDATION_BUILD)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK5 FOREIGN KEY (NOTEST_BUILD)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK6 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK7 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);	

ALTER TABLE ACTIVITY ADD CONSTRAINT ACTIVITY_FK8 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES FILE_STREAM (FILE_STREAM_ID);	

ALTER TABLE REQUEST_ACTIVITY_LOOKUP ADD CONSTRAINT REQACT_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_ACTIVITY_LOOKUP ADD CONSTRAINT REQACT_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);	

ALTER TABLE COMPONENT ADD CONSTRAINT COMPONENT_FK1 FOREIGN KEY (PRODUCT_ID)
	REFERENCES PRODUCT (PRODUCT_ID);

ALTER TABLE COMPONENT ADD CONSTRAINT COMPONENT_FK3 FOREIGN KEY (COMPONENT_CLASS_ID)
	REFERENCES COMPONENT_CLASSIFICATION(COMPONENT_CLASS_ID);
		
ALTER TABLE PROJECT_COMPONENT_LOOKUP ADD CONSTRAINT PRJCOMP_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE PROJECT_COMPONENT_LOOKUP ADD CONSTRAINT PRJCOMP_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);	

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK3 FOREIGN KEY (BASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK6 FOREIGN KEY (PROJECT_TYPE_ID)
	REFERENCES PROJECT_TYPE (PROJECT_TYPE_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK7 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES BUILD_CLASSIFICATION (BUILD_CLASS_ID);
	
ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE BUILD ADD CONSTRAINT BUILD_FK9 FOREIGN KEY (TEAM_ID)
	REFERENCES TEAM (TEAM_ID);	 	
		
ALTER TABLE PROJECT_DETAIL ADD CONSTRAINT PROJECT_DETAIL_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK1 FOREIGN KEY (PLANNED_ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK2 FOREIGN KEY (ACTUAL_ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK3 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK5 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK7 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);

ALTER TABLE REQUIREMENT ADD CONSTRAINT REQUIREMENT_FK8 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);
		
ALTER TABLE REQUIREMENT_REVISION_HISTORY ADD CONSTRAINT REQREV_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_REVISION_HISTORY ADD CONSTRAINT REQREV_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	

ALTER TABLE RESOURCE ADD CONSTRAINT RESOURCE_FK1 FOREIGN KEY (POOL_ID)
	REFERENCES POOL (POOL_ID);
	
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK2 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK3 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES ASSETREGISTRY (ASSETREGISTRY_ID);
	
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK4 FOREIGN KEY (TESTSUITE_CLASS_ID)
	REFERENCES TESTSUITE_CLASSIFICATION (TESTSUITE_CLASS_ID);	
	
ALTER TABLE TESTSUITE ADD CONSTRAINT TESTSUITE_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);		

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK4 FOREIGN KEY (TESTTYPE_ID)
	REFERENCES TESTTYPE (TESTTYPE_ID);

ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK5 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);
	
ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK6 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);
	
ALTER TABLE EXECUTION_RESULT ADD CONSTRAINT EXECRES_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);		
	
ALTER TABLE ITERATION ADD CONSTRAINT ITERATION_FK1 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES ASSETREGISTRY (ASSETREGISTRY_ID);
				
ALTER TABLE ITERATION ADD CONSTRAINT ITERATION_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	

ALTER TABLE RELEASE ADD CONSTRAINT RELEASE_FK1 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE RELEASE ADD CONSTRAINT RELEASE_FK2 FOREIGN KEY (PRODUCT_ID)
	REFERENCES PRODUCT (PRODUCT_ID);

ALTER TABLE RELEASE ADD CONSTRAINT RELEASE_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK1 FOREIGN KEY (PROJECT_MANAGER)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK2 FOREIGN KEY (PROJECT_CATEGORY_ID)
	REFERENCES PROJECT_CATEGORY (PROJECT_CATEGORY_ID);	

ALTER TABLE PROJECT ADD CONSTRAINT PROJECT_FK3 FOREIGN KEY (PROJECT_CLASS_ID)
	REFERENCES PROJECT_CLASSIFICATION (PROJECT_CLASS_ID);	

ALTER TABLE TASK ADD CONSTRAINT TASK_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TASK ADD CONSTRAINT TASK_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE TASK ADD CONSTRAINT TASK_FK3 FOREIGN KEY (TASK_CATEGORY_ID)
	REFERENCES TASK_CATEGORY (TASK_CATEGORY_ID);
	
ALTER TABLE TASK ADD CONSTRAINT TASK_FK4 FOREIGN KEY (TASK_CLASS_ID)
	REFERENCES TASK_CLASSIFICATION (TASK_CLASS_ID);	

ALTER TABLE TASK ADD CONSTRAINT TASK_FK5 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);	

ALTER TABLE TASK_DETAIL ADD CONSTRAINT TASK_DETAIL_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);
	
ALTER TABLE PROJECT_HIERARCHY ADD CONSTRAINT PROJECTHIER_FK1 FOREIGN KEY (PARENT_PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_HIERARCHY ADD CONSTRAINT PROJECTHIER_FK2 FOREIGN KEY (CHILD_PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_DETAIL ADD CONSTRAINT PROJECTDT_FK1 FOREIGN KEY (CURRENCY_ID)
	REFERENCES CURRENCY (CURRENCY_ID);

ALTER TABLE PROJECT_TYPE ADD CONSTRAINT PRJTYPE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_WORKCONFIGURATION ADD CONSTRAINT PRJWKCFG_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_WORKCONFIGURATION ADD CONSTRAINT PRJWKCFG_FK2 FOREIGN KEY (PROJECT_TYPE_ID)
	REFERENCES PROJECT_TYPE (PROJECT_TYPE_ID);

ALTER TABLE PROJECT_CATEGORY ADD CONSTRAINT PRJCAT_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PHASE ADD CONSTRAINT PRJPHASE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT PRJROLE_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_ROLE ADD CONSTRAINT PRJROLE_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PROJECT_ROLE_MEMBER_LOOKUP ADD CONSTRAINT PRJROLELK_FK1 FOREIGN KEY (PROJECT_ROLE_ID)
	REFERENCES PROJECT_ROLE (PROJECT_ROLE_ID);

ALTER TABLE PROJECT_ROLE_MEMBER_LOOKUP ADD CONSTRAINT PRJROLELK_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TASK_REQUIREMENT_LOOKUP ADD CONSTRAINT TSKREQ_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE TASK_REQUIREMENT_LOOKUP ADD CONSTRAINT TSKREQ_FK2 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE CONFIGURATION ADD CONSTRAINT CONFIGURATION_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);
		
ALTER TABLE CONFIGURATION ADD CONSTRAINT CONFIGURATION_FK2 FOREIGN KEY (CONFIGURATION_CLASS_ID)
	REFERENCES CONFIGURATION_CLASSIFICATION (CONFIGURATION_CLASS_ID);	
	
ALTER TABLE CONFIGURATION ADD CONSTRAINT CONFIGURATION_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE CONFIGURATION_ATTRIBUTE_LOOKUP ADD CONSTRAINT CFGATTR_ATTR_FK1 FOREIGN KEY (CONFIGURATION_ATTRIBUTE_ID)
	REFERENCES CONFIGURATION_ATTRIBUTE (CONFIGURATION_ATTRIBUTE_ID);

ALTER TABLE CONFIGURATION_ATTRIBUTE_LOOKUP ADD CONSTRAINT CFGATTR_ATTR_FK2 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE TESTSUITE_ITERATION_LOOKUP ADD CONSTRAINT TSTITER_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITE_ITERATION_LOOKUP ADD CONSTRAINT TSTITER_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK2 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES ASSETREGISTRY (ASSETREGISTRY_ID);
	
ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK3 FOREIGN KEY (TESTPLAN_CLASS_ID)
	REFERENCES TESTPLAN_CLASSIFICATION  (TESTPLAN_CLASS_ID);	
	
ALTER TABLE TESTPLAN ADD CONSTRAINT TESTPLAN_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
			
ALTER TABLE TESTPLAN_ITERATION_LOOKUP ADD CONSTRAINT TSPLNITER_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_ITERATION_LOOKUP ADD CONSTRAINT TSPLNITER_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK2 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);
	
ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK3 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);
			
ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK4 FOREIGN KEY (TESTCASE_CLASS_ID)
	REFERENCES TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID);
	
ALTER TABLE TESTCASE ADD CONSTRAINT TESTCASE_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
		
ALTER TABLE TESTCASE_ITERATION_LOOKUP ADD CONSTRAINT TESTCITER_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE TESTCASE_ITERATION_LOOKUP ADD CONSTRAINT TESTCITER_FK2 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUIREMENT_TESTCASE_LOOKUP ADD CONSTRAINT REQTEST_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_TESTCASE_LOOKUP ADD CONSTRAINT REQTEST_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE REQUIREMENT_TESTPLAN_LOOKUP ADD CONSTRAINT REQTESTP_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_TESTPLAN_LOOKUP ADD CONSTRAINT REQTESTP_FK2 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE REQUIREMENT_TESTSUITE_LOOKUP ADD CONSTRAINT REQTESTS_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_TESTSUITE_LOOKUP ADD CONSTRAINT REQTESTS_FK2 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE REQUIREMENT_REQUIREMENT_LOOKUP ADD CONSTRAINT REQTREQ_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_REQUIREMENT_LOOKUP ADD CONSTRAINT REQTREQ_FK2 FOREIGN KEY (CREQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE REQUIREMENT_HIERARCHY ADD CONSTRAINT REQHIER_FK1 FOREIGN KEY (PRED_REQUIREMENT_ID)
	REFERENCES  REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_HIERARCHY ADD CONSTRAINT REQHIER_FK2 FOREIGN KEY (SUCC_REQUIREMENT_ID)
	REFERENCES  REQUIREMENT (REQUIREMENT_ID);	
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK3 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK4 FOREIGN KEY (TESTTYPE_ID)
	REFERENCES TESTTYPE (TESTTYPE_ID);
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK5 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK7 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN (TESTPLAN_ID);
	
ALTER TABLE EXECUTION_WORKITEM ADD CONSTRAINT EXECWKI_FK9 FOREIGN KEY (EXECWORKIT_CLASS_ID)
	REFERENCES EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID);	
	
ALTER TABLE EXECWORKITEM_ITERATION_LOOKUP ADD CONSTRAINT EXWKIITER_FK1 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE EXECWORKITEM_ITERATION_LOOKUP ADD CONSTRAINT EXECWKITER_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE REQUIREMENT_EXECWRKITEM_LOOKUP ADD CONSTRAINT REQEXWKI_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_EXECWRKITEM_LOOKUP ADD CONSTRAINT REQEXECWK_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE EXECWORKITEM_TESTSUITE_LOOKUP ADD CONSTRAINT EXWKITSU_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE EXECWORKITEM_TESTSUITE_LOOKUP ADD CONSTRAINT EXECWKTSU_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK10 FOREIGN KEY (BUILD_ID)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK11 FOREIGN KEY (PROJECT_CATEGORY_ID)
	REFERENCES PROJECT_CATEGORY (PROJECT_CATEGORY_ID);
	
ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES TEAM (TEAM_ID);	

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK13 FOREIGN KEY (PHASE_ID)
	REFERENCES PHASE (PHASE_ID);	

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK5 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK6 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK7 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE REQUEST ADD CONSTRAINT REQUEST_FK8 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE REQUEST_HIERARCHY ADD CONSTRAINT REQUHIST_FK1 FOREIGN KEY (PARENT_REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_HIERARCHY ADD CONSTRAINT REQUHIST_FK2 FOREIGN KEY (CHILD_REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE FILE ADD CONSTRAINT FILE_FK1 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);
	
ALTER TABLE FILE ADD CONSTRAINT FILE_FK2 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES FILE_CLASSIFICATION (FILE_CLASS_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK1 FOREIGN KEY (FILE_ID)
	REFERENCES FILE (FILE_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK2 FOREIGN KEY (AUTHOR_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK3 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_VERSION_FK4 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES FILE_STREAM (FILE_STREAM_ID);	
	
ALTER TABLE FILE_VERSION ADD CONSTRAINT FILE_FK5 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES FILE_CLASSIFICATION (FILE_CLASS_ID);						
	
ALTER TABLE FILE_BASELINE ADD CONSTRAINT FBASE_FK1 FOREIGN KEY (COMPONENT_ID)
	REFERENCES COMPONENT (COMPONENT_ID);
	
ALTER TABLE FILE_BASELINE_ACTIVITY_LOOKUP ADD CONSTRAINT FBACT_FK1 FOREIGN KEY (FILE_BASELINE_ID)
	REFERENCES FILE_BASELINE(FILE_BASELINE_ID);
	
ALTER TABLE FILE_BASELINE_ACTIVITY_LOOKUP ADD CONSTRAINT FBACT_FK2 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE FILE_STREAM ADD CONSTRAINT FSTREAM_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE FILE_STREAM ADD CONSTRAINT FSTREAM_FK2 FOREIGN KEY (FILE_STREAM_CLASS_ID)
	REFERENCES FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID);		

ALTER TABLE CONFIG_EXECUTIONRES_LOOKUP ADD CONSTRAINT CFGEXECRES_FK1 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE CONFIG_EXECUTIONRES_LOOKUP ADD CONSTRAINT CFGEXECRES_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK1 FOREIGN KEY (TESTSUITE_ID)
	REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES BUILD (BUILD_ID);

ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);
	
ALTER TABLE TESTSUITELOG ADD CONSTRAINT TESTSUITELOG_FK4 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);	

ALTER TABLE TESTSUITELOG ADD CONSTRAINT  TESTSUITELOG_FK5 FOREIGN KEY (TESTSUITELOG_CLASS_ID)
	REFERENCES TESTSUITELOG_CLASSIFICATION (TESTSUITELOG_CLASS_ID);

ALTER TABLE TESTSUITELOG_EXECRESULT_LOOKUP ADD CONSTRAINT STESEXECR_FK1 FOREIGN KEY (TESTSUITELOG_ID)
	REFERENCES TESTSUITELOG (TESTSUITELOG_ID);

ALTER TABLE TESTSUITELOG_EXECRESULT_LOOKUP ADD CONSTRAINT STESEXECR_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE TASK_REQUEST_LOOKUP ADD CONSTRAINT TSKISSU_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE TASK_REQUEST_LOOKUP ADD CONSTRAINT TSKISSU_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUIREMENT_REQUEST_LOOKUP ADD CONSTRAINT REQIREQ_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_REQUEST_LOOKUP ADD CONSTRAINT REQREQ_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_CUSTOMER_LOOKUP ADD CONSTRAINT REQUCULK_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE REQUEST_STATE_HISTORY ADD CONSTRAINT REQSTATEHIST_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID); 

ALTER TABLE REQUEST_CUSTOMER_LOOKUP ADD CONSTRAINT REQUCULK_FK2 FOREIGN KEY (CUSTOMER_ID)
	REFERENCES CUSTOMER (CUSTOMER_ID);

ALTER TABLE REQUIREMENT_CUSTOMER_LOOKUP ADD CONSTRAINT REQUICLK_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE REQUIREMENT_CUSTOMER_LOOKUP ADD CONSTRAINT REQUICLK_FK2 FOREIGN KEY (CUSTOMER_ID)
	REFERENCES CUSTOMER (CUSTOMER_ID);

ALTER TABLE EXECRES_REQUEST_LOOKUP ADD CONSTRAINT EXECRESREQ_FK1 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE EXECRES_REQUEST_LOOKUP ADD CONSTRAINT EXECRESREQ_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK3 FOREIGN KEY (RELEASE_ID)
	REFERENCES RELEASE (RELEASE_ID);

ALTER TABLE RISK ADD CONSTRAINT RISK_FK4 FOREIGN KEY (ITERATION_ID)
	REFERENCES ITERATION (ITERATION_ID);
	
ALTER TABLE RISK ADD CONSTRAINT RISK_FK5 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES REQUIREMENT (REQUIREMENT_ID);

ALTER TABLE RISK_STATE_HISTORY ADD CONSTRAINT RISKSTATEHIST_FK1 FOREIGN KEY (RISK_ID)
	REFERENCES RISK (RISK_ID);

ALTER TABLE FACTOR ADD CONSTRAINT FACTOR_FK1 FOREIGN KEY (RISK_ID)
	REFERENCES RISK (RISK_ID);

ALTER TABLE PROJECT_BASELINE ADD CONSTRAINT PRJBASELINE_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE PROJECT_BASELINE ADD CONSTRAINT PRJBASELINE_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);

ALTER TABLE PROJECT_BASELINE ADD CONSTRAINT PRJBASELINE_FK3 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES FILE_STREAM (FILE_STREAM_ID);

ALTER TABLE PROJ_BASELINE_BASELINE_LOOKUP ADD CONSTRAINT PRJBSLTOBSL_FK1 FOREIGN KEY (BASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);

ALTER TABLE PROJ_BASELINE_BASELINE_LOOKUP ADD CONSTRAINT PRJBSLTOBSL_FK2 FOREIGN KEY (COMPBASELINE_ID)
	REFERENCES PROJECT_BASELINE (BASELINE_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK1 FOREIGN KEY (RESPONSE_COMMENT_ID)
	REFERENCES COMMENT (COMMENT_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK2 FOREIGN KEY (OWNER_ID)
	REFERENCES RESOURCE (RESOURCE_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK3 FOREIGN KEY (REQUEST_ID)
	REFERENCES REQUEST (REQUEST_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK4 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);

ALTER TABLE COMMENT ADD CONSTRAINT COMMENT_FK5 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);

ALTER TABLE PROJECT_WORKCONFIG_HIERARCHY ADD CONSTRAINT PRJWCFGH_FK1 FOREIGN KEY(PARENT_WKCFG_ID)
	REFERENCES PROJECT_WORKCONFIGURATION (PROJECT_WKCFG_ID);

ALTER TABLE PROJECT_WORKCONFIG_HIERARCHY ADD CONSTRAINT PRJWCFGH_FK2 FOREIGN KEY(CHILD_WKCFG_ID)
	REFERENCES PROJECT_WORKCONFIGURATION (PROJECT_WKCFG_ID);

ALTER TABLE EXECRES_EXECWKITEM_LOOKUP ADD CONSTRAINT EXECRESWK_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES EXECUTION_RESULT (EXECUTION_RESULT_ID);

ALTER TABLE EXECRES_EXECWKITEM_LOOKUP ADD CONSTRAINT EXECRESWK_FK2 FOREIGN KEY (EXECWORKITEM_ID)
		REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);

ALTER TABLE CONFIG_EXECUTIONWORKITM_LOOKUP  ADD CONSTRAINT CFGEXECWK_FK1 FOREIGN KEY (CONFIGURATION_ID)
		REFERENCES CONFIGURATION (CONFIGURATION_ID);

ALTER TABLE CONFIG_EXECUTIONWORKITM_LOOKUP  ADD CONSTRAINT CFGEXECWK_FK2 FOREIGN KEY (EXECWORKITEM_ID)
		REFERENCES EXECUTION_WORKITEM (EXECWORKITEM_ID);
		
ALTER TABLE TESTPLAN_CATEGORY_LOOKUP ADD CONSTRAINT TPLNCAT_FK1 FOREIGN KEY (TEST_CATEGORY_ID)
		REFERENCES TEST_CATEGORY (TEST_CATEGORY_ID);

ALTER TABLE TESTPLAN_CATEGORY_LOOKUP ADD CONSTRAINT TPLNCAT_FK2 FOREIGN KEY (TESTPLAN_ID)
		REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTCASE_CATEGORY_LOOKUP ADD CONSTRAINT TCASECAT_FK1 FOREIGN KEY (TEST_CATEGORY_ID)
		REFERENCES TEST_CATEGORY (TEST_CATEGORY_ID);

ALTER TABLE TESTCASE_CATEGORY_LOOKUP ADD CONSTRAINT TCASECAT_FK2 FOREIGN KEY (TESTCASE_ID)
		REFERENCES TESTCASE (TESTCASE_ID);

ALTER TABLE TESTSUITE_TESTCASE_LOOKUP ADD CONSTRAINT TSUTCASE_FK1 FOREIGN KEY (TESTCASE_ID)
		REFERENCES TESTCASE (TESTCASE_ID);
		
ALTER TABLE TESTSUITE_TESTCASE_LOOKUP ADD CONSTRAINT TSUTCASE_FK2 FOREIGN KEY (TESTSUITE_ID)
		REFERENCES TESTSUITE (TESTSUITE_ID);		

ALTER TABLE TESTSUITE_TESTSUITELOG_LOOKUP ADD CONSTRAINT TSUTSULG_FK1 FOREIGN KEY (TESTSUITE_ID)
		REFERENCES TESTSUITE (TESTSUITE_ID);

ALTER TABLE TESTSUITE_TESTSUITELOG_LOOKUP ADD CONSTRAINT TSUTSULG_FK2 FOREIGN KEY (TESTSUITELOG_ID)
		REFERENCES TESTSUITELOG (TESTSUITELOG_ID);

ALTER TABLE TESTPLAN_TESTPLAN_HIERARCHY ADD CONSTRAINT TPLNPC_FK1 FOREIGN KEY (PARENT_TESTPLAN_ID)
		REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_TESTPLAN_HIERARCHY ADD CONSTRAINT TPLNPC_FK2 FOREIGN KEY (CHILD_TESTPLAN_ID)
		REFERENCES TESTPLAN (TESTPLAN_ID);

ALTER TABLE TESTPLAN_TESTCASE_LOOKUP ADD CONSTRAINT TPLNTC_FK1 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES TESTPLAN(TESTPLAN_ID);
	
ALTER TABLE TESTPLAN_TESTCASE_LOOKUP ADD CONSTRAINT TPLNTC_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES TESTCASE (TESTCASE_ID);	

ALTER TABLE LAB_RESOURCE ADD CONSTRAINT LABRES_FK1 FOREIGN KEY (RESOURCE_GROUP_ID)
	REFERENCES RESOURCE_GROUP (RESOURCE_GROUP_ID);	
	
ALTER TABLE LAB_RESOURCE ADD CONSTRAINT LABRES_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	

ALTER TABLE RESOURCE_GROUP ADD CONSTRAINT RESGRP_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);
	
ALTER TABLE RESERVATION ADD CONSTRAINT RESERV_FK1 FOREIGN KEY (LAB_RESOURCE_ID)
	REFERENCES LAB_RESOURCE (LAB_RESOURCE_ID);
	
ALTER TABLE RESERVATION ADD CONSTRAINT RESERV_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES PROJECT (PROJECT_ID);	
	
ALTER TABLE ACTIVITY_STATE_HISTORY ADD CONSTRAINT ACTSTH_FK1 FOREIGN KEY (ACTIVITY_ID)
	REFERENCES ACTIVITY (ACTIVITY_ID);
	
ALTER TABLE TASK_STATE_HISTORY ADD CONSTRAINT TSKSTH_FK1 FOREIGN KEY (TASK_ID)
	REFERENCES TASK (TASK_ID);
	
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK1 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES  REQUEST (REQUEST_ID);                          

ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK3 FOREIGN KEY (PREV_TEAM_ID)
		REFERENCES  TEAM (TEAM_ID);    
                       
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK4 FOREIGN KEY (PREV_REQUEST_CATEGORY_ID)
		REFERENCES  REQUEST_CATEGORY (REQUEST_CATEGORY_ID);  
              
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK5 FOREIGN KEY (PREV_ITERATION_ID)
		REFERENCES  ITERATION (ITERATION_ID);     
                                       
ALTER TABLE REQUEST_CHANGE_HISTORY ADD CONSTRAINT REQCGNGH_FK6 FOREIGN KEY (PREV_OWNER_ID)
		REFERENCES  RESOURCE (RESOURCE_ID);
		
ALTER TABLE BUILD_COMPILATION_RESULT ADD CONSTRAINT BLDCMPRES_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE BUILD_COMPILATION_RESULT ADD CONSTRAINT BLDCMPRES_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES BUILD (BUILD_ID);
		
ALTER TABLE BUILD_UNIT_RESULT ADD CONSTRAINT BLDJUNRES_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE BUILD_UNIT_RESULT ADD CONSTRAINT BLDJUNRES_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES BUILD (BUILD_ID);
		
ALTER TABLE BUILD_UNIT_EVENT ADD CONSTRAINT BLDJUNEVT_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE BUILD_UNIT_EVENT ADD CONSTRAINT BLDJUNEVT_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES BUILD (BUILD_ID);
				
ALTER TABLE UNIT_TEST_RESULT ADD CONSTRAINT BLDJUNTST_FK1 FOREIGN KEY (COMPONENT_ID)
		REFERENCES COMPONENT (COMPONENT_ID);
		
ALTER TABLE UNIT_TEST_RESULT ADD CONSTRAINT BLDJUNTST_FK2 FOREIGN KEY (PROJECT_ID)
		REFERENCES PROJECT (PROJECT_ID);
		
ALTER TABLE UNIT_TEST_RESULT ADD CONSTRAINT BLDJUNTST_FK3 FOREIGN KEY (TEAM_ID)
		REFERENCES TEAM(TEAM_ID);

ALTER TABLE JOB ADD CONSTRAINT JOB_FK1 FOREIGN KEY (OWNER_ID)
		REFERENCES RESOURCE (RESOURCE_ID);
		
ALTER TABLE JOB ADD CONSTRAINT JOB_FK2 FOREIGN KEY (PROJECT_ID)
		REFERENCES PROJECT (PROJECT_ID);		
		
ALTER TABLE JOB_RESULT ADD CONSTRAINT JOBRES_FK1 FOREIGN KEY (OWNER_ID)
		REFERENCES RESOURCE (RESOURCE_ID);		
		
ALTER TABLE JOB_RESULT ADD CONSTRAINT JOBRES_FK2 FOREIGN KEY (JOB_ID)
		REFERENCES JOB (JOB_ID);	
		
ALTER TABLE JOB_RESULT ADD CONSTRAINT JOBRES_FK3 FOREIGN KEY (LAB_RESOURCE_ID)
		REFERENCES LAB_RESOURCE (LAB_RESOURCE_ID);		
		
		
--LOOKUP HIERARCHY TRIGGERS
   
CREATE TRIGGER TRG_REQCUSTD
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_CUSTOMER_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;       
    
CREATE TRIGGER TRG_REQREQUI
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_REQUEST_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;     
    
CREATE TRIGGER TRG_REQTASK
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TASK_REQUEST_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;    
    
CREATE TRIGGER TRG_REQLOG
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECRES_REQUEST_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;        
    
CREATE TRIGGER TRG_REQREQ
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_HIERARCHY WHERE PARENT_REQUEST_ID=NEWROW.REQUEST_ID OR CHILD_REQUEST_ID=NEWROW.REQUEST_ID; END;             
    

CREATE TRIGGER TRG_EXWKIITDD
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECWORKITEM_ITERATION_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;    
    
    
CREATE TRIGGER TRG_EXWKITSUD
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECWORKITEM_TESTSUITE_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;      
    
CREATE TRIGGER TRG_CONFATTRD
	AFTER UPDATE OF REC_DATETIME ON CONFIGURATION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM CONFIGURATION_ATTRIBUTE_LOOKUP WHERE CONFIGURATION_ID=NEWROW.CONFIGURATION_ID; END;       

CREATE TRIGGER TRG_CONFTLGD
	AFTER UPDATE OF REC_DATETIME ON CONFIGURATION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM CONFIG_EXECUTIONRES_LOOKUP WHERE CONFIGURATION_ID=NEWROW.CONFIGURATION_ID; END;       

CREATE TRIGGER TRG_PRJBSLND
	AFTER UPDATE OF REC_DATETIME ON PROJECT_BASELINE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJ_BASELINE_BASELINE_LOOKUP WHERE BASELINE_ID=NEWROW.BASELINE_ID OR COMPBASELINE_ID=NEWROW.BASELINE_ID; END; 

CREATE TRIGGER TRG_PRJROLED
	AFTER UPDATE OF REC_DATETIME ON PROJECT_ROLE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_ROLE_MEMBER_LOOKUP WHERE PROJECT_ROLE_ID=NEWROW.PROJECT_ROLE_ID; END; 

CREATE TRIGGER TRG_REQUITSTCD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_EXECWRKITEM_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END; 
    
CREATE TRIGGER TRG_REQICUSTD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_CUSTOMER_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;     

CREATE TRIGGER TRG_REQIREQUID
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_REQUIREMENT_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID OR CREQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;    
        
CREATE TRIGGER TRG_REQITSTCD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_TESTCASE_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;    

CREATE TRIGGER TRG_REQITPLND
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_TESTPLAN_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;    

CREATE TRIGGER TRG_REQITSUTD
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUIREMENT_TESTSUITE_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;  

CREATE TRIGGER TRG_TSLOG
	AFTER UPDATE OF REC_DATETIME ON TESTSUITELOG
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITELOG_EXECRESULT_LOOKUP WHERE TESTSUITELOG_ID=NEWROW.TESTSUITELOG_ID; END;  

CREATE TRIGGER TRG_TSKREQID
	AFTER UPDATE OF REC_DATETIME ON REQUIREMENT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TASK_REQUIREMENT_LOOKUP WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;  

CREATE TRIGGER TRG_TSCITERD
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTCASE_ITERATION_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END;  

CREATE TRIGGER TRG_TPLNITERD
	AFTER UPDATE OF REC_DATETIME ON TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTPLAN_ITERATION_LOOKUP WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;  

CREATE TRIGGER TRG_TSUTITERD
	AFTER UPDATE OF REC_DATETIME ON TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_ITERATION_LOOKUP WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;  

CREATE TRIGGER TRG_PRJHIERD
	AFTER UPDATE OF REC_DATETIME ON PROJECT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_HIERARCHY WHERE PARENT_PROJECT_ID=NEWROW.PROJECT_ID OR CHILD_PROJECT_ID=NEWROW.PROJECT_ID; END;  

CREATE TRIGGER TRG_PRJCOMPD
	AFTER UPDATE OF REC_DATETIME ON PROJECT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM PROJECT_COMPONENT_LOOKUP WHERE PROJECT_ID=NEWROW.PROJECT_ID; END;  

CREATE TRIGGER TRG_FBSACTD
	AFTER UPDATE OF REC_DATETIME ON ACTIVITY
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM FILE_BASELINE_ACTIVITY_LOOKUP WHERE ACTIVITY_ID=NEWROW.ACTIVITY_ID; END;  

CREATE TRIGGER TRG_REQACTD
	AFTER UPDATE OF REC_DATETIME ON REQUEST
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM REQUEST_ACTIVITY_LOOKUP WHERE REQUEST_ID=NEWROW.REQUEST_ID; END;  
  
CREATE TRIGGER TRG_EXERESWKIT
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECRES_EXECWKITEM_LOOKUP WHERE EXECUTION_RESULT_ID=NEWROW.EXECUTION_RESULT_ID; END;  

CREATE TRIGGER TRG_CFGEXECWK
	AFTER UPDATE OF REC_DATETIME ON EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM CONFIG_EXECUTIONWORKITM_LOOKUP WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;  

CREATE TRIGGER TRG_TPLNCAT
	AFTER UPDATE OF REC_DATETIME ON TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTPLAN_CATEGORY_LOOKUP WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;  
    
    
CREATE TRIGGER TRG_TCASECAT
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTCASE_CATEGORY_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END; 

CREATE TRIGGER TRG_TSUTCASE
	AFTER UPDATE OF REC_DATETIME ON TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_TESTCASE_LOOKUP WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END; 
    
CREATE TRIGGER TRG_TSUTLG
	AFTER UPDATE OF REC_DATETIME ON TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_TESTSUITELOG_LOOKUP WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;                 

CREATE TRIGGER TRG_TPLNTCS
	AFTER UPDATE OF REC_DATETIME ON TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTPLAN_TESTCASE_LOOKUP WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;                 
            
COMMIT;
                                                                            
SET CURRENT SCHEMA $STAR_SCHEMA; 

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK13 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK14 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK15 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK16 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK17 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);
	
ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK19 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);	

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK2 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK21 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK3 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK4 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK5 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK6 FOREIGN KEY (PLATFORM_ID)
	REFERENCES D_PLATFORM (PLATFORM_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK9 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_METRICS ADD CONSTRAINT F_REQUEST_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);
	
ALTER TABLE H_REQUEST_METRICS_TOTAL ADD CONSTRAINT HREQMETRIC_FK1 FOREIGN KEY (REQUEST_METRIC_ID)
	REFERENCES F_REQUEST_METRICS (REQUEST_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_METRICS_TOTAL ADD CONSTRAINT HREQMETRIC_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_METRICS_BLOCKING ADD CONSTRAINT HREQMETRICB_FK1 FOREIGN KEY (REQUEST_METRIC_ID)
	REFERENCES F_REQUEST_METRICS (REQUEST_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_METRICS_BLOCKING ADD CONSTRAINT HREQMETRICB_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK1 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK4 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK5 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK6 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK7 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);
			
ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK9 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);		

ALTER TABLE F_REQUEST_AGING ADD CONSTRAINT F_REQ_AGD_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
	
ALTER TABLE H_REQUEST_AGING_MIN ADD CONSTRAINT HREQAGM_FK1 FOREIGN KEY (AGING_METRIC_ID)
	REFERENCES F_REQUEST_AGING (AGING_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_MIN ADD CONSTRAINT HREQAGM_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_MAX ADD CONSTRAINT HREQAGX_FK1 FOREIGN KEY (AGING_METRIC_ID)
	REFERENCES F_REQUEST_AGING (AGING_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_MAX ADD CONSTRAINT HREQAGX_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;
		
ALTER TABLE H_REQUEST_AGING_TOTAL ADD CONSTRAINT HREQAG_FK1 FOREIGN KEY (AGING_METRIC_ID)
	REFERENCES F_REQUEST_AGING (AGING_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUEST_AGING_TOTAL ADD CONSTRAINT HREQAG_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;	
	
ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK5 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK7 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK8 FOREIGN KEY (CUSTOMER_PRIORITY_ID)
	REFERENCES D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID);

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK9 FOREIGN KEY (CLOSED_DATE_ID)
	REFERENCES D_DATE (DATE_ID);	

ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);
	
ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT F_REQCDT_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);
		
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK1 FOREIGN KEY (FILE_ID)
	REFERENCES D_FILE (FILE_ID);
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK2 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK3 FOREIGN KEY (FILE_STREAM_ID)
	REFERENCES D_FILE_STREAM (FILE_STREAM_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK4 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK7 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);			

ALTER TABLE F_TEXT_FILE_VERSION_METRICS ADD CONSTRAINT F_TFV_FK10 FOREIGN KEY (FILE_CLASS_ID)
	REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);								

ALTER TABLE H_TEXT_FILE_VERSION_METRICS_CH ADD CONSTRAINT H_TFVCH_FK1 FOREIGN KEY (SLOC_METRICS_ID)
	REFERENCES F_TEXT_FILE_VERSION_METRICS (SLOC_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TEXT_FILE_VERSION_METRICS_CH ADD CONSTRAINT H_TFVCH_FK2 FOREIGN KEY (FILE_VERSION_ID)
	REFERENCES D_FILE_VERSION (FILE_VERSION_ID) ON DELETE CASCADE;	
		
ALTER TABLE H_TEXT_FILE_VERSION_METRICS_TO ADD CONSTRAINT H_TFVT_FK1 FOREIGN KEY (SLOC_METRICS_ID)
	REFERENCES F_TEXT_FILE_VERSION_METRICS (SLOC_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_TEXT_FILE_VERSION_METRICS_TO ADD CONSTRAINT H_TFVT_FK2 FOREIGN KEY (FILE_VERSION_ID)
	REFERENCES D_FILE_VERSION (FILE_VERSION_ID) ON DELETE CASCADE;	
	
ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK2 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES D_ASSETREGISTRY (ASSETREGISTRY_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK3 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK4 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK5 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK6 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);
	
ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK7 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	
	
ALTER TABLE F_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_EXERES_FK8 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE H_EXECRESULT_DATE_METRICS ADD CONSTRAINT H_EXECRESDTK_FK1 FOREIGN KEY (EXECRESDT_METRICS_ID)
	REFERENCES F_EXECRESULT_DATE_METRICS (EXECRESDT_METRICS_ID) ON DELETE CASCADE;
	
ALTER TABLE H_EXECRESULT_DATE_METRICS ADD CONSTRAINT H_EXECRESDTK_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES D_EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;	

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK5 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK7 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK8 FOREIGN KEY (CUSTOMER_PRIORITY_ID)
	REFERENCES D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID);

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK9 FOREIGN KEY (CREATION_DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK13 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK14 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);	
	
ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK15 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	

ALTER TABLE F_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT F_REQDT_FK16 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);							

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK4 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_REQFL_FK5 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);			

ALTER TABLE H_REQUEST_FAILURE_METRICS ADD CONSTRAINT HREQFMETRIC_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
	REFERENCES F_REQUEST_FAILURE_METRICS (REQFAIL_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_FAILURE_METRICS ADD CONSTRAINT HREQFMETRIC_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK4 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUIREMENT_STATE (STATE_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK5 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK6 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK7 FOREIGN KEY (STABILITY_ID)
	REFERENCES D_STABILITY (STABILITY_ID);

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK8 FOREIGN KEY (DIFFICULTY_ID)
	REFERENCES D_DIFFICULTY (DIFFICULTY_ID);
	
ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK11 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	

ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK12 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_REQUIREMENT_METRICS ADD CONSTRAINT F_REQMET_FK13 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);				
			
ALTER TABLE H_REQUIREMENT_METRICS_TOTAL ADD CONSTRAINT HREQUIMETTOT_FK1 FOREIGN KEY (REQ_METRIC_ID)
	REFERENCES F_REQUIREMENT_METRICS (REQ_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUIREMENT_METRICS_TOTAL ADD CONSTRAINT HREQUIMETTOT_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID) ON DELETE CASCADE;
	
ALTER TABLE H_REQUIREMENT_METRICS_CHANGES ADD CONSTRAINT HREQUIMETCH_FK1 FOREIGN KEY (REQ_METRIC_ID)
	REFERENCES F_REQUIREMENT_METRICS (REQ_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUIREMENT_METRICS_CHANGES ADD CONSTRAINT HREQUIMETCH_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID) ON DELETE CASCADE;	

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK4 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK5 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK6 FOREIGN KEY (EXECWORKIT_CLASS_ID)
	REFERENCES D_EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID);
	
ALTER TABLE F_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_CFGTST_FK7 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES D_CONFIGURATION (CONFIGURATION_ID);	

ALTER TABLE H_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT HEXECWKMETRIC_FK1 FOREIGN KEY (EXECWORKITEM_METRIC_ID)
	REFERENCES F_EXECUTION_WORKITEM_METRICS (EXECWORKITEM_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT HEXECWKMETRIC_FK2 FOREIGN KEY (EXECWORKITEM_ID)
	REFERENCES D_EXECUTION_WORKITEM (EXECWORKITEM_ID) ON DELETE CASCADE;	

ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK5 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK7 FOREIGN KEY (TESTCASE_CLASS_ID)
	REFERENCES D_TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID);		
	
ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK8 FOREIGN KEY (STATE_ID)
	REFERENCES D_TESTCASE_STATE (STATE_ID);	
	
ALTER TABLE F_TESTCASE_METRICS ADD CONSTRAINT F_TSTCASE_FK9 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE H_TESTCASE_METRICS ADD CONSTRAINT HTSTCMETRIC_FK1 FOREIGN KEY (TSTCASE_METRIC_ID)
	REFERENCES F_TESTCASE_METRICS (TSTCASE_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_TESTCASE_METRICS ADD CONSTRAINT HTSTCMETRIC_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_ATTEMPTS ADD CONSTRAINT HBLDATTE_FK1 FOREIGN KEY (BUILD_METRIC_ID)
	REFERENCES F_BUILD_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_ATTEMPTS ADD CONSTRAINT HBLDATTE_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;
	
ALTER TABLE H_BUILD_PASS ADD CONSTRAINT HBLDPAS_FK1 FOREIGN KEY (BUILD_METRIC_ID)
	REFERENCES F_BUILD_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_PASS ADD CONSTRAINT HBLDPAS_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;	
	
ALTER TABLE H_BUILD_FAIL ADD CONSTRAINT HBLDFAIL_FK1 FOREIGN KEY (BUILD_METRIC_ID)
	REFERENCES F_BUILD_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_FAIL ADD CONSTRAINT HBLDFAIL_FK2 FOREIGN KEY (BUILD_ID)
	REFERENCES D_BUILD (BUILD_ID) ON DELETE CASCADE;	

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK4 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK5 FOREIGN KEY (PARENT_REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_CHREQM_FK7 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);	
		
ALTER TABLE F_PROJECT_PERFORMANCE_METRICS ADD CONSTRAINT F_PPM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_PROJECT_PERFORMANCE_METRICS ADD CONSTRAINT F_PPM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK5 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK7 FOREIGN KEY (BUILD_TYPE_ID)
	REFERENCES D_BUILD_TYPE (BUILD_TYPE_ID);
	
ALTER TABLE F_BUILD_METRICS ADD CONSTRAINT F_BUILD_FK8 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES D_BUILD_CLASSIFICATION (BUILD_CLASS_ID);
		
ALTER TABLE H_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT H_REQCLD_FK1 FOREIGN KEY (REQCDT_METRIC_ID)
	REFERENCES F_REQUEST_CLOSURE_DATE_METRICS (REQCDT_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_CLOSURE_DATE_METRICS ADD CONSTRAINT H_REQCLD_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT H_REQDT_FK1 FOREIGN KEY (REQDT_METRIC_ID)
	REFERENCES F_REQUEST_CREATION_DT_METRICS (REQDT_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_CREATION_DT_METRICS ADD CONSTRAINT H_REQDT_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECUTION_RESULT_METRICS ADD CONSTRAINT H_EXERES_FK1 FOREIGN KEY (EXERES_METRICS_ID)
	REFERENCES F_EXECUTION_RESULT_METRICS (EXERES_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECUTION_RESULT_METRICS ADD CONSTRAINT H_EXERES_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES D_EXECUTION_RESULT(EXECUTION_RESULT_ID) ON DELETE CASCADE;

ALTER TABLE H_CHILDREQUIREMENT_METRICS ADD CONSTRAINT H_CHREQ_FK1 FOREIGN KEY (CHILDREQ_METRICS_ID)
	REFERENCES F_CHILDREQUIREMENT_METRICS  (CHILDREQ_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_CHILDREQUIREMENT_METRICS ADD CONSTRAINT H_CHREQ_FK2 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK1 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK4 FOREIGN KEY (DAY_OF_ID)
	REFERENCES D_DATE (DATE_ID);	

ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);	
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK6 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);		
	
ALTER TABLE F_EXECRESULT_DATE_METRICS ADD CONSTRAINT F_EXECRESDT_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);
	
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK7 FOREIGN KEY (STATE_ID)
	REFERENCES D_ACTIVITY_STATE (STATE_ID);			
		 
ALTER TABLE F_ACTIVITY_METRICS ADD CONSTRAINT F_ACTM_FK8 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	 
		
ALTER TABLE  H_ACTIVITY_METRICS ADD CONSTRAINT H_ACTM_STATE_FK1 FOREIGN KEY (ACTIVITY_METRICS_ID)
		REFERENCES F_ACTIVITY_METRICS (ACTIVITY_METRICS_ID) ON DELETE CASCADE;
		
ALTER TABLE  H_ACTIVITY_METRICS ADD CONSTRAINT H_ACTM_STATE_FK2 FOREIGN KEY (ACTIVITY_ID)
		REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
		REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK2 FOREIGN KEY (STATE_ID)
		REFERENCES D_ACTIVITY_STATE (STATE_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK5 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);	
		
ALTER TABLE F_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	F_ACTCRDM_FK6 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);					

ALTER TABLE H_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	H_ACTCRDM_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
		REFERENCES F_ACTIVITY_CREATION_DT_METRICS (ACTIVITYCRD_METRICS_ID)  ON DELETE CASCADE;	
		
ALTER TABLE H_ACTIVITY_CREATION_DT_METRICS ADD CONSTRAINT	H_ACTCRDM_FK2 FOREIGN KEY (ACTIVITY_ID)
		REFERENCES D_ACTIVITY (ACTIVITY_ID) ON DELETE CASCADE;	

ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK3 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	

ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK4 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);	
	
ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);	

ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK6 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);	
	
ALTER TABLE F_EXECRESPOINTS_METRICS ADD CONSTRAINT F_EXECPTS_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE H_EXECRESPOINTS_METRICS ADD CONSTRAINT H_EXECPTS_FK1 FOREIGN KEY (EXECRES_METRIC_ID)
	REFERENCES F_EXECRESPOINTS_METRICS (EXECRES_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_EXECRESPOINTS_METRICS ADD CONSTRAINT H_EXECPTS_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
	REFERENCES D_EXECUTION_RESULT (EXECUTION_RESULT_ID) ON DELETE CASCADE;												

ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK1 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);        
		        
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK2 FOREIGN KEY (PROJECT_ID)      
		REFERENCES D_PROJECT (PROJECT_ID);         
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK4 FOREIGN KEY (COMPONENT_ID)    
		REFERENCES D_COMPONENT (COMPONENT_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK5 FOREIGN KEY (RESOURCE_ID)     
		REFERENCES D_RESOURCE(RESOURCE_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK6 FOREIGN KEY (SEVERITY_ID)    
		REFERENCES D_SEVERITY (SEVERITY_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK7 FOREIGN KEY (PRIORITY_ID)     
		REFERENCES D_PRIORITY (PRIORITY_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK8 FOREIGN KEY (ITERATION_ID)    
		REFERENCES D_ITERATION (ITERATION_ID); 
		                
ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK9 FOREIGN KEY (DATE_ID)         
		REFERENCES D_DATE (DATE_ID); 

ALTER TABLE F_REQUEST_TURNAROUND ADD CONSTRAINT F_REQTURN_FK10 FOREIGN KEY (REQUEST_TYPE_ID)         
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID); 
		
ALTER TABLE H_REQUEST_TURNAROUND_TOTAL ADD CONSTRAINT H_REQTURNTOT_FK1 FOREIGN KEY (TURNAROUND_METRIC_ID)
		REFERENCES F_REQUEST_TURNAROUND (TURNAROUND_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_TOTAL ADD CONSTRAINT H_REQTURNTOT_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;
		
ALTER TABLE H_REQUEST_TURNAROUND_MIN ADD CONSTRAINT H_REQTURNMIN_FK1 FOREIGN KEY (TURNAROUND_METRIC_ID)
		REFERENCES F_REQUEST_TURNAROUND (TURNAROUND_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_MIN ADD CONSTRAINT H_REQTURNMIN_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID)  ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_MAX ADD CONSTRAINT H_REQTURNMAX_FK1 FOREIGN KEY (TURNAROUND_METRIC_ID)
		REFERENCES F_REQUEST_TURNAROUND (TURNAROUND_METRIC_ID)  ON DELETE CASCADE;

ALTER TABLE H_REQUEST_TURNAROUND_MAX ADD CONSTRAINT H_REQTURNMAX_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);		
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_TASK_METRICS ADD CONSTRAINT F_TSKMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);			
		
ALTER TABLE H_TASK_METRICS ADD CONSTRAINT H_TSKMET_FK1 FOREIGN KEY (TASK_METRICS_ID)
		REFERENCES F_TASK_METRICS (TASK_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_METRICS ADD CONSTRAINT H_TSKMET_FK2 FOREIGN KEY (TASK_ID)
		REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;

ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK2 FOREIGN KEY (CREATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);				
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_TASK_CREATION_DT_METRICS ADD CONSTRAINT F_TSKCRDTMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);			

ALTER TABLE H_TASK_CREATION_DT_METRICS ADD CONSTRAINT H_TSKCRDTMET_FK1 FOREIGN KEY (TASKCRD_METRICS_ID)
		REFERENCES F_TASK_CREATION_DT_METRICS (TASKCRD_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_CREATION_DT_METRICS ADD CONSTRAINT H_TSKCRDTMET_FK2 FOREIGN KEY (TASK_ID)
		REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;	

ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK2 FOREIGN KEY (CLOSURE_DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT F_TSKCLDTMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);			
		
ALTER TABLE H_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT H_TSKCLDTMET_FK1 FOREIGN KEY (TASKCLS_METRICS_ID)
		REFERENCES F_TASK_CLOSURE_DT_METRICS (TASKCLS_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TASK_CLOSURE_DT_METRICS ADD CONSTRAINT H_TSKCLDTMET_FK2 FOREIGN KEY (TASK_ID)
		REFERENCES D_TASK (TASK_ID) ON DELETE CASCADE;						

ALTER TABLE H_BUILD_EXEC_DT_METRICS_TOT ADD CONSTRAINT H_BLDEXDTMET_FK1 FOREIGN KEY (BUILD_EXEC_METRIC_ID)
		REFERENCES F_BUILD_EXECUTION_DT_METRICS (BUILD_EXEC_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_BUILD_EXEC_DT_METRICS_TOT ADD CONSTRAINT H_BLDEXDTMET_FK2 FOREIGN KEY (BUILD_ID)
		REFERENCES D_BUILD (BUILD_ID)  ON DELETE CASCADE;	

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK1 FOREIGN KEY (END_DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK7 FOREIGN KEY (BUILD_TYPE_ID)
	REFERENCES D_BUILD_TYPE (BUILD_TYPE_ID);		

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK8 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);	

ALTER TABLE F_BUILD_EXECUTION_DT_METRICS ADD CONSTRAINT F_BLDEXDTMET_FK9 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES D_BUILD_CLASSIFICATION (BUILD_CLASS_ID);		
	
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK1 FOREIGN KEY (RESOURCE_GROUP_ID)
		REFERENCES D_RESOURCE_GROUP (RESOURCE_GROUP_ID);
		
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK2 FOREIGN KEY (OWNER_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);		

ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK3 FOREIGN KEY (OS_TYPE_ID)
		REFERENCES D_OS_TYPE (OS_TYPE_ID);		
		
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK4 FOREIGN KEY (RESERVATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_LABRESUTL_FK5 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE H_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT H_LABRESUTL_FK1 FOREIGN KEY (LAB_RESUTIL_ID)
		REFERENCES F_LAB_RESUTILIZATION_METRICS (LAB_RESUTIL_ID) ON DELETE CASCADE;		
		
ALTER TABLE H_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT H_LABRESUTL_FK2 FOREIGN KEY (LAB_RESOURCE_ID)
		REFERENCES D_LAB_RESOURCE (LAB_RESOURCE_ID) ON DELETE CASCADE;			

ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK1 FOREIGN KEY (FILE_CLASS_ID)
		REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);	
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);		
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);			
		
ALTER TABLE F_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FFTXTCHNGM_FK6 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);			
		
ALTER TABLE H_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT HFTXTCHNGM_FK1 FOREIGN KEY (FTEXTCHNG_METRICS_ID)
		REFERENCES F_TEXT_FILE_CHANGE_METRICS (FTEXTCHNG_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT HFTXTCHNGM_FK2 FOREIGN KEY (FILE_ID)
		REFERENCES D_FILE (FILE_ID) ON DELETE CASCADE;	
		
ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK2 FOREIGN KEY (FILE_STREAM_CLASS_ID)
		REFERENCES D_FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_FILE_STREAM_METRICS	ADD CONSTRAINT 	FFILESTRMET_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);

ALTER TABLE H_FILE_STREAM_METRICS ADD CONSTRAINT HFILESTRMET_FK1 FOREIGN KEY (FSTREAM_METRICS_ID)		
		REFERENCES F_FILE_STREAM_METRICS (FSTREAM_METRICS_ID) ON DELETE CASCADE;

ALTER TABLE H_FILE_STREAM_METRICS ADD CONSTRAINT HFILESTRMET_FK2 FOREIGN KEY (FILE_STREAM_ID)	
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID) ON DELETE CASCADE;

ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK1 FOREIGN KEY (OWNER_ID)
	REFERENCES D_RESOURCE(RESOURCE_ID);
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK2 FOREIGN KEY (JOB_ID)
	REFERENCES D_JOB (JOB_ID);	
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK3 FOREIGN KEY (LAB_RESOURCE_ID)
	REFERENCES D_LAB_RESOURCE (LAB_RESOURCE_ID);		

ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK4 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK5 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);	
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK6 FOREIGN KEY (STATE_ID)
	REFERENCES D_JOB_RESULT_STATE (STATE_ID);	
	
ALTER TABLE F_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT F_JOBEXECRES_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	

ALTER TABLE H_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT H_JOBEXECRES_FK1 FOREIGN KEY (F_JOBRES_METRIC_ID)
	REFERENCES F_JOB_EXECUTION_DT_METRICS (F_JOBRES_METRIC_ID) ON DELETE CASCADE;
	
ALTER TABLE H_JOB_EXECUTION_DT_METRICS ADD CONSTRAINT H_JOBEXECRES_FK2 FOREIGN KEY (JOB_RESULT_ID)
	REFERENCES D_JOB_RESULT (JOB_RESULT_ID) ON DELETE CASCADE;	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK5 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK7 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK8 FOREIGN KEY (CUSTOMER_PRIORITY_ID)
	REFERENCES D_CUSTOMER_PRIORITY (CUSTOMER_PRIORITY_ID);

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK9 FOREIGN KEY (RESOLUTION_DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK10 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK12 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK13 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK14 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);	
	
ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK15 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	

ALTER TABLE F_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT F_REQRESDT_FK16 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);							

ALTER TABLE H_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT H_REQRESDT_FK1 FOREIGN KEY (REQDT_METRIC_ID)
	REFERENCES F_REQUEST_CREATION_DT_METRICS (REQDT_METRIC_ID) ON DELETE CASCADE;

ALTER TABLE H_REQUEST_RESOLUTIO_DT_METRICS ADD CONSTRAINT H_REQRESDT_FK2 FOREIGN KEY (REQUEST_ID)
	REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;

ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
		
ALTER TABLE F_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_RELREQ_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE H_RELEASE_REQUEST_METRICS ADD CONSTRAINT H_RELREQ_FK1 FOREIGN KEY (F_RELREQ_METRIC_ID)
		REFERENCES F_RELEASE_REQUEST_METRICS (F_RELREQ_METRIC_ID) ON DELETE CASCADE;			
		
ALTER TABLE H_RELEASE_REQUEST_METRICS ADD CONSTRAINT H_RELREQ_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;										

ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);								

ALTER TABLE F_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_RELREQTU_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE H_REL_REQUEST_TURN_METRICS ADD CONSTRAINT H_RELREQTU_FK1 FOREIGN KEY (F_RELREQ_TURN_METRIC_ID)
		REFERENCES F_REL_REQUEST_TURN_METRICS (F_RELREQ_TURN_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_REL_REQUEST_TURN_METRICS ADD CONSTRAINT H_RELREQTU_FK2 FOREIGN KEY (REQUEST_ID)
		REFERENCES D_REQUEST (REQUEST_ID) ON DELETE CASCADE;										
	
ALTER TABLE F_TIME_TO_MARKET_RELEA_METRICS ADD CONSTRAINT F_TTMKTREL_FK1 FOREIGN KEY (RELEASE_DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_TIME_TO_MARKET_RELEA_METRICS ADD CONSTRAINT F_TTMKTREL_FK2 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_TIME_TO_MARKET_RELEA_METRICS ADD CONSTRAINT F_TTMKTREL_FK3 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);			
		
ALTER TABLE H_TIME_TO_MARKET_REL_METRICS ADD CONSTRAINT H_TTMKTREL_FK1 FOREIGN KEY (F_TIME_TO_MRKT_METRIC_ID)
		REFERENCES F_TIME_TO_MARKET_RELEA_METRICS (F_TIME_TO_MRKT_METRIC_ID) ON DELETE CASCADE;										

ALTER TABLE H_TIME_TO_MARKET_REL_METRICS ADD CONSTRAINT H_TTMKTREL_FK2 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID) ON DELETE CASCADE;			

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK1 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK13 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK14 FOREIGN KEY (FIXEDINRELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK15 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK16 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK17 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);
	
ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK19 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);	

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK2 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK21 FOREIGN KEY (REQUEST_CATEGORY_ID)
	REFERENCES D_REQUEST_CATEGORY (REQUEST_CATEGORY_ID);
	
ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK3 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK4 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK5 FOREIGN KEY (TEAM_ID)
	REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK6 FOREIGN KEY (PLATFORM_ID)
	REFERENCES D_PLATFORM (PLATFORM_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK9 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_REQUEST_METRICS ADD CONSTRAINT F_C_REQUEST_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK1 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUEST_STATE (STATE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK4 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK5 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK6 FOREIGN KEY (SEVERITY_ID)
	REFERENCES D_SEVERITY (SEVERITY_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK7 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK8 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);
			
ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK9 FOREIGN KEY (REQUEST_CLASS_ID)
	REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);		

ALTER TABLE F_C_REQUEST_AGING ADD CONSTRAINT F_C_REQ_AGD_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
	REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);		

ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK1 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);        
		        
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK2 FOREIGN KEY (PROJECT_ID)      
		REFERENCES D_PROJECT (PROJECT_ID);         
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK4 FOREIGN KEY (COMPONENT_ID)    
		REFERENCES D_COMPONENT (COMPONENT_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK5 FOREIGN KEY (RESOURCE_ID)     
		REFERENCES D_RESOURCE(RESOURCE_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK6 FOREIGN KEY (SEVERITY_ID)    
		REFERENCES D_SEVERITY (SEVERITY_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK7 FOREIGN KEY (PRIORITY_ID)     
		REFERENCES D_PRIORITY (PRIORITY_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK8 FOREIGN KEY (ITERATION_ID)    
		REFERENCES D_ITERATION (ITERATION_ID); 
		                
ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK9 FOREIGN KEY (DATE_ID)         
		REFERENCES D_DATE (DATE_ID); 

ALTER TABLE F_C_REQUEST_TURNAROUND ADD CONSTRAINT F_C_REQTURN_FK10 FOREIGN KEY (REQUEST_TYPE_ID)         
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID); 		

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK1 FOREIGN KEY (ASSETREGISTRY_ID)
	REFERENCES D_ASSETREGISTRY (ASSETREGISTRY_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK2 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK3 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK4 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);
	
ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK6 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	
	
ALTER TABLE F_C_EXECUTION_RESULT_METRICS ADD CONSTRAINT F_C_EXERES_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK1 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK2 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK3 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK5 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_REQUEST_FAILURE_METRICS ADD CONSTRAINT F_C_REQFL_FK6 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK4 FOREIGN KEY (STATE_ID)
	REFERENCES D_REQUIREMENT_STATE (STATE_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK5 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK6 FOREIGN KEY (STATUS_ID)
	REFERENCES D_STATUS (STATUS_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK7 FOREIGN KEY (STABILITY_ID)
	REFERENCES D_STABILITY (STABILITY_ID);

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK8 FOREIGN KEY (DIFFICULTY_ID)
	REFERENCES D_DIFFICULTY (DIFFICULTY_ID);
	
ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK11 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	

ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK12 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	
	
ALTER TABLE F_C_REQUIREMENT_METRICS ADD CONSTRAINT F_C_REQMET_FK13 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);		
	
ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK3 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK4 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);

ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK5 FOREIGN KEY (EXECWORKIT_CLASS_ID)
	REFERENCES D_EXECWORKITEM_CLASSIFICATION (EXECWORKIT_CLASS_ID);
	
ALTER TABLE F_C_EXECUTION_WORKITEM_METRICS ADD CONSTRAINT F_C_CFGTST_FK6 FOREIGN KEY (CONFIGURATION_ID)
	REFERENCES D_CONFIGURATION (CONFIGURATION_ID);	

ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK5 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);

ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK7 FOREIGN KEY (TESTCASE_CLASS_ID)
	REFERENCES D_TESTCASE_CLASSIFICATION (TESTCASE_CLASS_ID);		
	
ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK8 FOREIGN KEY (STATE_ID)
	REFERENCES D_TESTCASE_STATE (STATE_ID);	
	
ALTER TABLE F_C_TESTCASE_METRICS ADD CONSTRAINT F_C_TSTCASE_FK9 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK5 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);

ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK7 FOREIGN KEY (BUILD_TYPE_ID)
	REFERENCES D_BUILD_TYPE (BUILD_TYPE_ID);
	
ALTER TABLE F_C_BUILD_METRICS ADD CONSTRAINT F_C_BUILD_FK8 FOREIGN KEY (BUILD_CLASS_ID)
	REFERENCES D_BUILD_CLASSIFICATION (BUILD_CLASS_ID);
	
ALTER TABLE F_C_PROJECT_PERFORM_METRICS ADD CONSTRAINT F_CPPM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_PROJECT_PERFORM_METRICS ADD CONSTRAINT F_CPPM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);
	
ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK1 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK2 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK3 FOREIGN KEY (ITERATION_ID)
	REFERENCES D_ITERATION (ITERATION_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK4 FOREIGN KEY (RELEASE_ID)
	REFERENCES D_RELEASE (RELEASE_ID);

ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK5 FOREIGN KEY (PARENT_REQUIREMENT_ID)
	REFERENCES D_REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK6 FOREIGN KEY (COMPONENT_ID)
	REFERENCES D_COMPONENT (COMPONENT_ID);	
	
ALTER TABLE F_C_CHILDREQUIREMENT_METRICS ADD CONSTRAINT F_C_CHREQM_FK7 FOREIGN KEY (REQUIREMENT_CLASS_ID)
	REFERENCES D_REQUIREMENT_CLASSIFICATION (REQUIREMENT_CLASS_ID);	

ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);
	
ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK3 FOREIGN KEY (TESTPLAN_ID)
	REFERENCES D_TESTPLAN (TESTPLAN_ID);	

ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK4 FOREIGN KEY (TESTCASE_ID)
	REFERENCES D_TESTCASE (TESTCASE_ID);	
	
ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK5 FOREIGN KEY (EXECRES_CLASS_ID)
	REFERENCES D_EXECRESULT_CLASSIFICATION (EXECRES_CLASS_ID);	

ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK6 FOREIGN KEY (VERDICT_ID)
	REFERENCES D_VERDICT (VERDICT_ID);
	
ALTER TABLE F_C_EXECRESPOINTS_METRICS ADD CONSTRAINT F_C_EXECPTS_FK7 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);	
	
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK1 FOREIGN KEY (ACTIVITY_CLASS_ID)
	REFERENCES D_ACTIVITY_CLASSIFICATION (ACTIVITY_CLASS_ID);
	
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK2 FOREIGN KEY (DATE_ID)
	REFERENCES D_DATE (DATE_ID);	
	
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK4 FOREIGN KEY (RESOURCE_ID)
	REFERENCES D_RESOURCE (RESOURCE_ID);	

ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK5 FOREIGN KEY (PROJECT_ID)
	REFERENCES D_PROJECT (PROJECT_ID);				

ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK7 FOREIGN KEY (STATE_ID)
	REFERENCES D_ACTIVITY_STATE (STATE_ID);			
		 
ALTER TABLE F_C_ACTIVITY_METRICS ADD CONSTRAINT F_C_ACTM_FK8 FOREIGN KEY (PRIORITY_ID)
	REFERENCES D_PRIORITY (PRIORITY_ID);	
	
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK1 FOREIGN KEY (TASK_CLASS_ID)
		REFERENCES D_TASK_CLASSIFICATION (TASK_CLASS_ID);
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);		
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK3 FOREIGN KEY (RESOURCE_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);			

ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK4 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);				
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK6 FOREIGN KEY (STATE_ID)
		REFERENCES D_TASK_STATE (STATE_ID);			
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK7 FOREIGN KEY (PRIORITY_ID)
		REFERENCES D_PRIORITY (PRIORITY_ID);							
	
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK8 FOREIGN KEY (ITERATION_ID)
		REFERENCES D_ITERATION (ITERATION_ID);	
		
ALTER TABLE F_C_TASK_METRICS ADD CONSTRAINT F_C_TSKMET_FK9 FOREIGN KEY (TASK_TYPE_ID)
		REFERENCES D_TASK_TYPE (TASK_TYPE_ID);	

ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK1 FOREIGN KEY (RESOURCE_GROUP_ID)
		REFERENCES D_RESOURCE_GROUP (RESOURCE_GROUP_ID);
		
ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK2 FOREIGN KEY (OWNER_ID)
		REFERENCES D_RESOURCE (RESOURCE_ID);		

ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK3 FOREIGN KEY (OS_TYPE_ID)
		REFERENCES D_OS_TYPE (OS_TYPE_ID);		
		
ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK4 FOREIGN KEY (RESERVATION_DATE_ID)
		REFERENCES D_DATE (DATE_ID);	
		
ALTER TABLE F_C_LAB_RESUTILIZATION_METRICS ADD CONSTRAINT F_C_LABRESUTL_FK5 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK1 FOREIGN KEY (FILE_CLASS_ID)
		REFERENCES D_FILE_CLASSIFICATION (FILE_CLASS_ID);
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK2 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);	
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);		
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);			
		
ALTER TABLE F_C_TEXT_FILE_CHANGE_METRICS ADD CONSTRAINT FCFTXTCHNGM_FK6 FOREIGN KEY (COMPONENT_ID)
		REFERENCES D_COMPONENT (COMPONENT_ID);			

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK2 FOREIGN KEY (FILE_STREAM_CLASS_ID)
		REFERENCES D_FILE_STREAM_CLASSIFICATION (FILE_STREAM_CLASS_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK3 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK4 FOREIGN KEY (TEAM_ID)
		REFERENCES D_TEAM (TEAM_ID);

ALTER TABLE F_C_FILE_STREAM_METRICS	ADD CONSTRAINT 	FCFILESTRMET_FK5 FOREIGN KEY (FILE_STREAM_ID)
		REFERENCES D_FILE_STREAM (FILE_STREAM_ID);

ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);	
		
ALTER TABLE F_C_RELEASE_REQUEST_METRICS ADD CONSTRAINT F_C_RELREQ_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);			

ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK1 FOREIGN KEY (DATE_ID)
		REFERENCES D_DATE (DATE_ID);
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK2 FOREIGN KEY (REQUEST_CLASS_ID)
		REFERENCES D_REQUEST_CLASSIFICATION (REQUEST_CLASS_ID);

ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK3 FOREIGN KEY (RELEASE_ID)
		REFERENCES D_RELEASE (RELEASE_ID);	
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK4 FOREIGN KEY (PRODUCT_ID)
		REFERENCES D_PRODUCT (PRODUCT_ID);	
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK5 FOREIGN KEY (STATE_ID)
		REFERENCES D_REQUEST_STATE (STATE_ID);			
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK6 FOREIGN KEY (SEVERITY_ID)
		REFERENCES D_SEVERITY (SEVERITY_ID);	
		
ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK7 FOREIGN KEY (REQUEST_TYPE_ID)
		REFERENCES D_REQUEST_TYPE (REQUEST_TYPE_ID);								

ALTER TABLE F_C_REL_REQUEST_TURN_METRICS ADD CONSTRAINT F_C_RELREQTU_FK8 FOREIGN KEY (PROJECT_ID)
		REFERENCES D_PROJECT (PROJECT_ID);		

ALTER TABLE D_PROJECT ADD CONSTRAINT PROJECT_FK1 FOREIGN KEY (PROGRAM_ID)
  REFERENCES D_PROGRAM (PROGRAM_ID);
  
ALTER TABLE D_COMPONENT  ADD CONSTRAINT  D_COMPONENT_FK1  FOREIGN KEY (PRODUCT_ID)
  REFERENCES D_PRODUCT(PRODUCT_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_ACTITER_MET_FK9  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK8  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_ACTREQ_MET_FK10 FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK2  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK7  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  F_AICRDT_MET_FK8  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK2  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK6  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK7  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_ACT_REQU_CREATION_DT_METRICS  ADD CONSTRAINT  F_ARCRDT_MET_FK8  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_BLDREQUI_MET_FK9 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID); 
 
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK5 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK6 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK7 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_BUILD_REQU_EXEC_DT_METRICS  ADD CONSTRAINT  F_BREDT_MET_FK8 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID); 
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_BUILD_REQU_METRICS  ADD CONSTRAINT  F_BLDREQU_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);  
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  F_CACTITER_MET_FK9  FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK1  FOREIGN KEY (ACTIVITY_CLASS_ID)
  REFERENCES D_ACTIVITY_CLASSIFICATION(ACTIVITY_CLASS_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK4  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK6  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK7  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK8  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_C_ACTREQ_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  F_CACTREQ_MET_FK10 FOREIGN KEY (STATE_ID)
  REFERENCES D_ACTIVITY_STATE(STATE_ID);
 
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_BUILD_REQUI_METRICS  ADD CONSTRAINT  F_CBLDREQ_MET_FK9 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK1 FOREIGN KEY (BUILD_CLASS_ID)
  REFERENCES D_BUILD_CLASSIFICATION(BUILD_CLASS_ID);
   
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK3 FOREIGN KEY (BUILD_TYPE_ID)
  REFERENCES D_BUILD_TYPE(BUILD_TYPE_ID);
 
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK4 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK5 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK6 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK7 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_BUILD_REQU_METRICS  ADD CONSTRAINT  F_CBLDREQU_MET_FK8 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK1 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK2 FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID); 
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK5 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_CEPTI_MET_FK8 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK1 FOREIGN KEY (ASSETREGISTRY_ID)
  REFERENCES D_ASSETREGISTRY(ASSETREGISTRY_ID);
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK3 FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID);
   
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK5 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_EXEC_RESULT_ITER_METRICS  ADD CONSTRAINT  F_CEREI_MET_FK8 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);   
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK1  FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK4  FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK5  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK7  FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_CEWI_MET_FK8  FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK1 FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID); 
 
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK3 FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK6 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_CEWIR_MET_FK8 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_C_FILE_STREAM_METRICS  ADD CONSTRAINT  F_C_FILESTRMET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
   
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK12 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK13 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK14 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
  
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK20 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_CREQCU_MET_FK21 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
    
ALTER TABLE F_C_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_CREQRQF_MET_FK7 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
   
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK12 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK13 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK14 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK15 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK21 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_CREQRQU_MET_FK22 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_C_REQTPLN_AG_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_CREQTPLN_AG_FK10 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_CREQTPLN_AG_FK11 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_CREQTPLN_AG_FK17 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
  
ALTER TABLE F_C_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_CREQTPF_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK13 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK14 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK15 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK21 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK22 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);

ALTER TABLE F_C_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_CREQTP_MET_FK23 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK6  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK7  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_CREQTPT_MET_FK9  FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
 ALTER TABLE F_C_REQUEST_TPLN_TURNAROUND ADD CONSTRAINT F_CREQTPT_MET_FK10 FOREIGN KEY (TESTPLAN_ID)         
  REFERENCES D_TESTPLAN (TESTPLAN_ID);
		
ALTER TABLE F_C_REQUIREMENT_METRICS  ADD CONSTRAINT  F_C_REQU_MET_FK1 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_CREQUTP_MET_FK19 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
   
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
  
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_C_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_CREQTC_MET_FK19 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK6  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK7  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID);
 
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID);
   
ALTER TABLE F_C_TASK_COMP_METRICS  ADD CONSTRAINT  F_CTKCM_MET_FK15 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK3  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK9  FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK10 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
  
ALTER TABLE F_C_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_CTSI_MET_FK11 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
 
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK2  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK3  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK4  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK10 FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_C_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_CTPJR_MET_FK11 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_CTXFV_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK9  FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID);
  
ALTER TABLE F_C_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_CTXFVR_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
 ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK2  FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID);
   
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK5  FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK6  FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK7  FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  F_EXPI_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK1  FOREIGN KEY (ASSETREGISTRY_ID)
  REFERENCES D_ASSETREGISTRY(ASSETREGISTRY_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK3 FOREIGN KEY (EXECRES_CLASS_ID)
  REFERENCES D_EXECRESULT_CLASSIFICATION(EXECRES_CLASS_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK5 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  F_ERI_MET_FK8 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK1 FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID); 
 
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK3 FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK4 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK5 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK6 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  F_EWI_MET_FK7 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK1 FOREIGN KEY (CONFIGURATION_ID)
  REFERENCES D_CONFIGURATION(CONFIGURATION_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK3 FOREIGN KEY (EXECWORKIT_CLASS_ID)
  REFERENCES D_EXECWORKITEM_CLASSIFICATION(EXECWORKIT_CLASS_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK6 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  F_EWR_MET_FK8 FOREIGN KEY (VERDICT_ID)
  REFERENCES D_VERDICT(VERDICT_ID);
  
ALTER TABLE F_FILE_STREAM_METRICS  ADD CONSTRAINT  F_FSTR_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_CLOSURE_DATE_METRICS  ADD CONSTRAINT  F_RCLDT_MET_FK1 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
   
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK12 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK13 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK14 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK20 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_CUST_METRICS  ADD CONSTRAINT  F_REQCUST_MET_FK21 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  F_RQRUF_MET_FK7 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_REQREQUI_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK12 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK13 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK14 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK15 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK21 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_REQUI_METRICS  ADD CONSTRAINT  F_RRUI_MET_FK22 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK6  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
   
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK11 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK12 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK13 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK19 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRERD_MET_FK20 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK6  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
    
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK11 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK19 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  F_RRETD_MET_FK20 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK10 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK11 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
  
ALTER TABLE F_REQUEST_TPLN_AGING  ADD CONSTRAINT  F_REQTPLN_AG_FK17 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK1 FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK2 FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK3 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK4 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK5 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
    
ALTER TABLE F_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  F_RPLF_MET_FK7 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK4  FOREIGN KEY (PLATFORM_ID)
  REFERENCES D_PLATFORM(PLATFORM_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
  
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK11 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK12 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK13 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK14 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK20 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK21 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQUEST_TPLN_METRICS  ADD CONSTRAINT  F_REQTPLN_MET_FK22 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK6  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK7  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK8  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_RQTPT_FK9  FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
  
ALTER TABLE F_REQUEST_TPLN_TURNAROUND  ADD CONSTRAINT  F_REQTU_FK1 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK5  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK9  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK10 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  F_RCRDT_MET_FK11 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK5  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK7  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK8  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK9  FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK10 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCTD_MET_FK11 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUIREMENT_METRICS  ADD CONSTRAINT  F_REQ_MET_FK1 FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RQTP_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUIREMENT_TPLN_METRICS  ADD CONSTRAINT  F_RTPLN_MET_FK19 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK3  FOREIGN KEY (DIFFICULTY_ID)
  REFERENCES D_DIFFICULTY(DIFFICULTY_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK4  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK5  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK6  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK7  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK8  FOREIGN KEY (REQUIREMENT_CLASS_ID)
  REFERENCES D_REQUIREMENT_CLASSIFICATION(REQUIREMENT_CLASS_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK11 FOREIGN KEY (STABILITY_ID)
  REFERENCES D_STABILITY(STABILITY_ID);
  
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUIREMENT_STATE(STATE_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQUI_TCASE_METRICS  ADD CONSTRAINT  F_RTC_MET_FK19 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK3  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK5  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK7  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK8  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK9  FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK10 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK11 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK19 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
  
ALTER TABLE F_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  F_RRDT_MET_FK20 FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);  
   
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK2  FOREIGN KEY (CUSTOMER_PRIORITY_ID)
  REFERENCES D_CUSTOMER_PRIORITY(CUSTOMER_PRIORITY_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK6  FOREIGN KEY (RELEASE_ID)
  REFERENCES D_RELEASE(RELEASE_ID);  
  
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK8  FOREIGN KEY (REQUEST_CATEGORY_ID)
  REFERENCES D_REQUEST_CATEGORY(REQUEST_CATEGORY_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK9  FOREIGN KEY (REQUEST_CLASS_ID)
  REFERENCES D_REQUEST_CLASSIFICATION(REQUEST_CLASS_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK10 FOREIGN KEY (REQUEST_TYPE_ID)
  REFERENCES D_REQUEST_TYPE(REQUEST_TYPE_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK11 FOREIGN KEY (SEVERITY_ID)
  REFERENCES D_SEVERITY(SEVERITY_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK12 FOREIGN KEY (STATE_ID)
  REFERENCES D_REQUEST_STATE(STATE_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK18 FOREIGN KEY (STATUS_ID)
  REFERENCES D_STATUS(STATUS_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK19 FOREIGN KEY (TEAM_ID)
  REFERENCES D_TEAM(TEAM_ID);
 
ALTER TABLE F_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  F_RCRTD_MET_FK20 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
 
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK3  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK5  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK6  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID); 
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID);
  
ALTER TABLE F_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCCMD_MET_FK14 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK2  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK3  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK4  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK5  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK6  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK7  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID);
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID); 
 
ALTER TABLE F_TASK_COMP_METRICS  ADD CONSTRAINT  F_TKC_MET_FK15 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK1  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK3  FOREIGN KEY (PRIORITY_ID)
  REFERENCES D_PRIORITY(PRIORITY_ID);
 
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK4  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK5  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
 
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK6  FOREIGN KEY (STATE_ID)
  REFERENCES D_TASK_STATE(STATE_ID);
 
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK13 FOREIGN KEY (TASK_CLASS_ID)
  REFERENCES D_TASK_CLASSIFICATION(TASK_CLASS_ID);
  
ALTER TABLE F_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  F_TCRCMD_MET_FK14 FOREIGN KEY (TASK_TYPE_ID)
  REFERENCES D_TASK_TYPE(TASK_TYPE_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK2  FOREIGN KEY (ITERATION_ID)
  REFERENCES D_ITERATION(ITERATION_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK3  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TESTITER_MET_FK9  FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TSIT_MET_FK10 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
  
ALTER TABLE F_TESTCASE_ITER_METRICS  ADD CONSTRAINT  F_TSIT_MET_FK11 FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT (PROJECT_ID);  
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK1  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
 
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK2  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK3  FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID);
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK4  FOREIGN KEY (STATE_ID)
  REFERENCES D_TESTCASE_STATE(STATE_ID);
 
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK10 FOREIGN KEY (TESTCASE_CLASS_ID)
  REFERENCES D_TESTCASE_CLASSIFICATION(TESTCASE_CLASS_ID);
  
ALTER TABLE F_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  F_TPJR_MET_FK11 FOREIGN KEY (TESTPLAN_ID)
  REFERENCES D_TESTPLAN(TESTPLAN_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSION_DT_METRICS  ADD CONSTRAINT  F_TFVD_MET_FK9  FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
   
ALTER TABLE F_TEXT_FILE_VERSION_METRICS  ADD CONSTRAINT  F_TFV_MET_FK1 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK9  FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID);
  
ALTER TABLE F_TEXT_FILE_VERSREQ_DT_METRICS  ADD CONSTRAINT  F_TFVRD_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
   
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK1  FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID);
 
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK2  FOREIGN KEY (COMPONENT_ID)
  REFERENCES D_COMPONENT(COMPONENT_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK3  FOREIGN KEY (DATE_ID)
  REFERENCES D_DATE(DATE_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK5  FOREIGN KEY (FILE_CLASS_ID)
  REFERENCES D_FILE_CLASSIFICATION(FILE_CLASS_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK6  FOREIGN KEY (FILE_ID)
  REFERENCES D_FILE(FILE_ID);
 
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK7  FOREIGN KEY (FILE_STREAM_ID)
  REFERENCES D_FILE_STREAM(FILE_STREAM_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK8  FOREIGN KEY (PROJECT_ID)
  REFERENCES D_PROJECT(PROJECT_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK9  FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID);
  
ALTER TABLE F_TEXT_FILE_VER_REQU_METRICS  ADD CONSTRAINT  F_TXFVR_MET_FK10 FOREIGN KEY (RESOURCE_ID)
  REFERENCES D_RESOURCE(RESOURCE_ID);
  
 ALTER TABLE H_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  H_ACT_ITER_MET_FK1 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_ACTIVITY_ITER_METRICS  ADD CONSTRAINT  H_ACT_ITER_MET_FK2 FOREIGN KEY (ACTIVITY_METRICS_ID)
  REFERENCES F_ACTIVITY_ITER_METRICS(ACTIVITY_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  H_ACT_REQ_MET_FK1 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACTIVITY_REQ_METRICS  ADD CONSTRAINT  H_ACT_REQ_MET_FK2 FOREIGN KEY (ACTIVITY_METRICS_ID)
  REFERENCES F_ACTIVITY_REQ_METRICS(ACTIVITY_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  H_AICRD_MET_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
  REFERENCES F_ACT_ITER_CREATION_DT_METRICS(ACTIVITYCRD_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_ITER_CREATION_DT_METRICS  ADD CONSTRAINT  H_AICRD_MET_FK2 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_REQUI_CREAT_DT_METRICS  ADD CONSTRAINT  H_ARCRD_MET_FK1 FOREIGN KEY (ACTIVITYCRD_METRICS_ID)
  REFERENCES F_ACT_REQU_CREATION_DT_METRICS(ACTIVITYCRD_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_ACT_REQUI_CREAT_DT_METRICS  ADD CONSTRAINT  H_ARCRD_MET_FK2 FOREIGN KEY (ACTIVITY_ID)
  REFERENCES D_ACTIVITY(ACTIVITY_ID) ON DELETE CASCADE;
   
ALTER TABLE H_BUILD_REQUI_ATTEMPTS  ADD CONSTRAINT  H_BRRQA_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS (BUILD_METRIC_ID) ON DELETE CASCADE;  

ALTER TABLE H_BUILD_REQUI_ATTEMPTS  ADD CONSTRAINT  H_BRQA_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_FAIL  ADD CONSTRAINT  H_BRQF_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_FAIL  ADD CONSTRAINT  H_BRQF_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS(BUILD_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_PASS  ADD CONSTRAINT  H_BRQP_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQUI_PASS  ADD CONSTRAINT  H_BRQP_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS(BUILD_METRIC_ID) ON DELETE CASCADE;  
  
ALTER TABLE H_BUILD_REQU_ATTEMPTS  ADD CONSTRAINT  H_BRQUA_FK1 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQU_ATTEMPTS  ADD CONSTRAINT  H_BRQUA_FK2 FOREIGN KEY (BUILD_METRIC_ID)
  REFERENCES F_BUILD_REQUI_METRICS(BUILD_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_BUILD_REQU_EXEC_DT_MET_TOT  ADD CONSTRAINT  H_BREDT_MET_FK1 FOREIGN KEY (BUILD_EXEC_METRIC_ID)
  REFERENCES F_BUILD_REQU_EXEC_DT_METRICS(BUILD_EXEC_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_BUILD_REQU_EXEC_DT_MET_TOT  ADD CONSTRAINT  H_BREDT_MET_FK2 FOREIGN KEY (BUILD_ID)
  REFERENCES D_BUILD(BUILD_ID) ON DELETE CASCADE;
    
ALTER TABLE H_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  H_EXPI_MET_FK1 FOREIGN KEY (EXECRES_METRIC_ID)
  REFERENCES F_EXECRESPOINTS_ITER_METRICS(EXECRES_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_EXECRESPOINTS_ITER_METRICS  ADD CONSTRAINT  H_EXPI_MET_FK2 FOREIGN KEY (EXECUTION_RESULT_ID)
  REFERENCES D_EXECUTION_RESULT(EXECUTION_RESULT_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  H_ERI_MET_FK1 FOREIGN KEY (EXECUTION_RESULT_ID)
  REFERENCES D_EXECUTION_RESULT(EXECUTION_RESULT_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXECUTION_RES_ITER_METRICS  ADD CONSTRAINT  H_ERI_MET_FK2 FOREIGN KEY (EXERES_METRICS_ID)
  REFERENCES F_EXECUTION_RES_ITER_METRICS(EXERES_METRICS_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  HEWI_MET_FK1 FOREIGN KEY (EXECWORKITEM_ID)
  REFERENCES D_EXECUTION_WORKITEM(EXECWORKITEM_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXEC_WORKITEM_ITER_METRICS  ADD CONSTRAINT  HEWI_MET_FK2 FOREIGN KEY (EXECWORKITEM_METRIC_ID)
  REFERENCES F_EXEC_WORKITEM_ITER_METRICS(EXECWORKITEM_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  HEWR_MET_FK1 FOREIGN KEY (EXECWORKITEM_ID)
  REFERENCES D_EXECUTION_WORKITEM(EXECWORKITEM_ID) ON DELETE CASCADE;
 
ALTER TABLE H_EXEC_WORKITEM_REQU_METRICS  ADD CONSTRAINT  HEWR_MET_FK2 FOREIGN KEY (EXECWORKITEM_METRIC_ID)
  REFERENCES F_EXEC_WORKITEM_REQU_METRICS(EXECWORKITEM_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUEST_AGING_TPLN_MAX  ADD CONSTRAINT  H_RAT_MX_FK1 FOREIGN KEY (AGING_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_AGING(AGING_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_MAX  ADD CONSTRAINT  H_RAT_MX_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
    
ALTER TABLE H_REQUEST_AGING_TPLN_MIN  ADD CONSTRAINT  H_RAT_MI_FK1 FOREIGN KEY (AGING_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_AGING(AGING_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_MIN  ADD CONSTRAINT  H_RAT_MI_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_TOTAL  ADD CONSTRAINT  H_RAT_TO_FK1 FOREIGN KEY (AGING_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_AGING(AGING_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_AGING_TPLN_TOTAL  ADD CONSTRAINT  H_RAT_TO_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUEST_CUST_METRICS_BLOCK  ADD CONSTRAINT  H_RCMBL_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_CUST_METRICS_BLOCK  ADD CONSTRAINT  H_RCBL_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_CUST_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_CUST_METRICS_TOTAL  ADD CONSTRAINT  H_RCTO_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_CUST_METRICS_TOTAL  ADD CONSTRAINT  H_RCTO_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_CUST_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  H_RRF_MET_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
  REFERENCES F_REQUEST_REQUI_FAIL_METRICS(REQFAIL_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_FAIL_METRICS  ADD CONSTRAINT  H_RRF_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUEST_REQUI_METRICS_BLOCK  ADD CONSTRAINT  H_RRIBL_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_METRICS_BLOCK  ADD CONSTRAINT  H_RRIBL_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_REQUI_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
    
ALTER TABLE H_REQUEST_REQUI_METRICS_TOTAL  ADD CONSTRAINT  H_RRITO_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_REQUI_METRICS_TOTAL  ADD CONSTRAINT  H_RRITO_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_REQUI_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  H_RRRQD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQUEST_RES_REQUI_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_REQUI_DT_METRICS  ADD CONSTRAINT  H_RRRQD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  H_RRETD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQUEST_RES_TPLN_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_RES_TPLN_DT_METRICS  ADD CONSTRAINT  H_RRETD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  H_RTF_MET_FK1 FOREIGN KEY (REQFAIL_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_FAIL_METRICS(REQFAIL_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_FAIL_METRICS  ADD CONSTRAINT  H_RTF_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUEST_TPLN_METRICS_BLOCK  ADD CONSTRAINT  H_RQTPB_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_METRICS_BLOCK  ADD CONSTRAINT  H_RQTPB_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RQTPT_MET_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RQTPT_MET_FK2 FOREIGN KEY (REQUEST_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_METRICS(REQUEST_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MAX  ADD CONSTRAINT  H_RQTPT_MAX_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MAX  ADD CONSTRAINT  H_RQTPT_MAX_FK2 FOREIGN KEY (TURNAROUND_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_TURNAROUND(TURNAROUND_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MIN  ADD CONSTRAINT  H_RQTPT_MIN_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_MIN  ADD CONSTRAINT  H_RQTPT_MIN_FK2 FOREIGN KEY (TURNAROUND_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_TURNAROUND(TURNAROUND_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_TOT  ADD CONSTRAINT  H_RQTPT_TOT_FK1 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUEST_TPLN_TURNAROUND_TOT  ADD CONSTRAINT  H_RQTPT_TOT_FK2 FOREIGN KEY (TURNAROUND_METRIC_ID)
  REFERENCES F_REQUEST_TPLN_TURNAROUND(TURNAROUND_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRUD_MET_FK1 FOREIGN KEY (REQCDT_METRIC_ID)
  REFERENCES F_REQUE_CLOSE_REQUI_DT_METRICS(REQCDT_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUE_CLOSE_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRUD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTPD_MET_FK1 FOREIGN KEY (REQCDT_METRIC_ID)
  REFERENCES F_REQUE_CLOSE_TPLN_DT_METRICS(REQCDT_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_REQUE_CLOSE_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTPD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE; 
  
ALTER TABLE H_REQUI_TCASE_METRICS_CHANGES  ADD CONSTRAINT  H_RTCCH_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TCASE_METRICS_CHANGES  ADD CONSTRAINT  H_RTCCH_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUI_TCASE_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
    
ALTER TABLE H_REQUI_TCASE_METRICS_TOTAL  ADD CONSTRAINT  H_RTCT_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TCASE_METRICS_TOTAL  ADD CONSTRAINT  H_RTCT_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUI_TCASE_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_CHANGES  ADD CONSTRAINT  H_RTPCH_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_CHANGES  ADD CONSTRAINT  H_RTPCH_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUIREMENT_TPLN_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RTPTO_MET_FK1 FOREIGN KEY (REQUIREMENT_ID)
  REFERENCES D_REQUIREMENT(REQUIREMENT_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQUI_TPLN_METRICS_TOTAL  ADD CONSTRAINT  H_RTPTO_MET_FK2 FOREIGN KEY (REQ_METRIC_ID)
  REFERENCES F_REQUIREMENT_TPLN_METRICS(REQ_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQU_CREATI_REQUI_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_REQUI_DT_METRICS  ADD CONSTRAINT  H_RCRD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTTPD_MET_FK1 FOREIGN KEY (REQDT_METRIC_ID)
  REFERENCES F_REQU_CREATI_TPLN_DT_METRICS(REQDT_METRIC_ID) ON DELETE CASCADE;
  
ALTER TABLE H_REQU_CREATI_TPLN_DT_METRICS  ADD CONSTRAINT  H_RCTTPD_MET_FK2 FOREIGN KEY (REQUEST_ID)
  REFERENCES D_REQUEST(REQUEST_ID) ON DELETE CASCADE;
  
ALTER TABLE H_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCCMD_MET_FK1 FOREIGN KEY (TASKCLS_METRICS_ID)
  REFERENCES F_TASK_CLOSE_COMP_DT_METRICS(TASKCLS_METRICS_ID) ON DELETE CASCADE;
  
ALTER TABLE H_TASK_CLOSE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCCMD_MET_FK2 FOREIGN KEY (TASK_ID)
  REFERENCES D_TASK(TASK_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_TASK_COMP_METRICS  ADD CONSTRAINT  H_TKC_MET_FK1 FOREIGN KEY (TASK_ID)
  REFERENCES D_TASK(TASK_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TASK_COMP_METRICS  ADD CONSTRAINT  H_TKC_MET_FK2 FOREIGN KEY (TASK_METRICS_ID)
  REFERENCES F_TASK_COMP_METRICS(TASK_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCRCMD_MET_FK1 FOREIGN KEY (TASKCRD_METRICS_ID)
  REFERENCES F_TASK_CREATE_COMP_DT_METRICS(TASKCRD_METRICS_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TASK_CREATE_COMP_DT_METRICS  ADD CONSTRAINT  H_TCRCMD_MET_FK2 FOREIGN KEY (TASK_ID)
  REFERENCES D_TASK(TASK_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_ITER_METRICS  ADD CONSTRAINT  H_TCI_MET_FK1 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_ITER_METRICS  ADD CONSTRAINT  H_TCI_MET_FK2 FOREIGN KEY (TSTCASE_METRIC_ID)
  REFERENCES F_TESTCASE_ITER_METRICS(TSTCASE_METRIC_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  H_TPJR_MET_FK1 FOREIGN KEY (TESTCASE_ID)
  REFERENCES D_TESTCASE(TESTCASE_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TESTCASE_REQUI_METRICS  ADD CONSTRAINT  H_TPJR_MET_FK2 FOREIGN KEY (TSTCASE_METRIC_ID)
  REFERENCES F_TESTCASE_REQUI_METRICS(TSTCASE_METRIC_ID) ON DELETE CASCADE; 
 
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_CH  ADD CONSTRAINT  H_TXFVDCH_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_CH  ADD CONSTRAINT  H_TXFVDCH_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSION_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
  
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_TO  ADD CONSTRAINT  H_TXFVDTO_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VERS_DT_METRICS_TO  ADD CONSTRAINT  H_TXFVDTO_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSION_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;   
  
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_CH  ADD CONSTRAINT  H_TXFVRCH_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_CH  ADD CONSTRAINT  H_TXFVRCH_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VER_REQU_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
    
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_TO  ADD CONSTRAINT  H_TXFVRTO_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TEXT_FILE_VER_REQ_METRICS_TO  ADD CONSTRAINT  H_TXFVRTO_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VER_REQU_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
    
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_CH  ADD CONSTRAINT  H_TXFVRDC_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_CH  ADD CONSTRAINT  H_TXFVRDC_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSREQ_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
    
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_TO  ADD CONSTRAINT  H_TXFVRDT_MET_FK1 FOREIGN KEY (FILE_VERSION_ID)
  REFERENCES D_FILE_VERSION(FILE_VERSION_ID) ON DELETE CASCADE;
 
ALTER TABLE H_TXT_FILE_VERSREQ_DT_METR_TO  ADD CONSTRAINT  H_TXFVRDT_MET_FK2 FOREIGN KEY (SLOC_METRICS_ID)
  REFERENCES F_TEXT_FILE_VERSREQ_DT_METRICS(SLOC_METRICS_ID) ON DELETE CASCADE;
  																						
COMMIT;
